<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
   $vg_empresa=$_SESSION["empresa"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="Parametros_empresa";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);

if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=Parametros_Empresa';";
echo "</script>";
}

include "../parametros.php";
include "../conexion.php";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php  echo $nombreprograma." - ".$version; ?></title>
  <script src="../js/jquery.min.js"></script>
  <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
 <script src="../bootstrap/js/bootstrap.min.js"></script>
 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>
 
   <link rel="stylesheet" href="../plugins1/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins1/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins1/datatables-buttons/css/buttons.bootstrap4.min.css">


 <script language="javascript">
	function mascara(o,f){  
		v_obj=o;  
		v_fun=f;  
		setTimeout("execmascara()",1);  
	}  
	function execmascara(){   
		v_obj.value=v_fun(v_obj.value);
	}  
	function cpf(v){     
		v=v.replace(/([^0-9\.]+)/g,''); 
		v=v.replace(/^[\.]/,''); 
		v=v.replace(/[\.][\.]/g,''); 
		v=v.replace(/\.(\d)(\d)(\d)/g,'.$1$2'); 
		v=v.replace(/\.(\d{1,2})\./g,'.$1'); 
		v = v.toString().split('').reverse().join('').replace(/(\d{3})/g,'$1,');    
		v = v.split('').reverse().join('').replace(/^[\,]/,''); 
		return v;  
	}  
	function calcular(){
		var varMonto;
		var varIva;
		var varSubTotal;
		
		varMonto = document.getElementById("importe").value;	
		varMonto = varMonto.replace(/[\,]/g,''); 
		
		varIva = parseFloat(varMonto).toFixed(2) * 0.15;
		document.getElementById("iva").value = addCommas(parseFloat(varIva).toFixed(2)) ;
		
		varSubTotal = parseFloat(varMonto) + parseFloat(varIva);
		document.getElementById("subtotal").value = addCommas(parseFloat(varSubTotal).toFixed(2)) ;

	}
	
	function addCommas(nStr){
		nStr += '';
		x = nStr.split('.');
		x1 = x[0];
		x2 = x.length > 1 ? '.' + x[1] : '';
		var rgx = /(\d+)(\d{3})/;
		while (rgx.test(x1)) {
			x1 = x1.replace(rgx, '$1' + ',' + '$2');
		}
		return x1 + x2;
	}
	
</script>

</head>
<body>

<?php

$empresa=$_REQUEST["empresa"];
$identificacion="";$accionista="";$noacciones="";$valor="";$porcentaje="";

if($_REQUEST["id"]>0)
	{  
		    $id=$_REQUEST["id"];
			  $sql_datos =mysqli_query($conexion,"select accionista,identificacion,noacciones,valor,porcentaje
												  FROM empresa_composicion
												  where id='".$id."'");
				while($datoslog= mysqli_fetch_row($sql_datos))
					 { 
						  $accionista=$datoslog[0];
						  $identificacion=$datoslog[1];
						  //$noacciones=$datoslog[2];
						  $noacciones=number_format($datoslog[2],2,'.',','); 
						  //$valor=$datoslog[3];
						  $porcentaje=$datoslog[4];
						  $valor=number_format($datoslog[3],2,'.',','); 
					 }
	}
	

if(isset($_REQUEST["oculto"]))
{ 
       	$accionista=strtoupper($_REQUEST["accionista"]);   		
		$identificacion=$_REQUEST["identificacion"];   
		//$noacciones=$_REQUEST["noacciones"];   
		$porcentaje=$_REQUEST["porcentaje"];   
		$valor=str_replace(',','',$_REQUEST['valor'.$c]);
		$noacciones=str_replace(',','',$_REQUEST['noacciones'.$c]);
		 

if($_REQUEST["oguardar"]==1)
	{  	 $contar=0;
		 $sql_datdes=mysqli_query($conexion,"SELECT count(*) FROM empresa_composicion where empresa='".$empresa."' and identificacion='".$identificacion."'");
		 while($datosdes= mysqli_fetch_row($sql_datdes)){ $contar=$datosdes[0];}
			if($contar>=1)
			{
				   $mensaje="Ya existe el no de documento como accionista de la empresa";	
					?>				  
					<script>
					cuteToast({
						  type: "error", // or 'info', 'error', 'warning'
						  message: "<?php echo $mensaje; ?>",
						  timer: 4000
						})
					</script>
				   <?php
			}
		   else
			{
				  $sql_insert=mysqli_query($conexion,"insert into empresa_composicion (empresa,accionista,identificacion,noacciones,valor,porcentaje,fecsis,horasis,usuario)
								  values('".$empresa."','".$accionista."','".$identificacion."',
										 '".$noacciones."','".$valor."','".$porcentaje."','".$fecsis."','".$horasis."','".$vg_login."')"); 	
				 if($sql_insert)
				   {
						$mensaje="Se registro el accionista";
						?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 4000
							})
						</script>
					   <?php
				   }	 
				 else 
				  {
					  $mensaje="Error al registrar el accionista";
					?>				  
					<script>
					cuteToast({
						  type: "error", // or 'info', 'error', 'warning'
						  message: "<?php echo $mensaje; ?>",
						  timer: 4000
						})
					</script>
				   <?php
							
				  }	
			}	
 }//fin guardar
				 
				 
	
if($_REQUEST["omodificar"]==1)
	 {     
				 $sql_update=mysqli_query($conexion,"update empresa_composicion set 
				 						accionista='".$accionista."',
										identificacion='".$identificacion."',
										noacciones='".$noacciones."',
										valor='".$valor."',
										porcentaje='".$porcentaje."'
										where id='".$id."'");
					 if($sql_update)
						   {
							  $mensaje="Se modifico el Item el accionista";
							  ?>				  
								<script>
								cuteToast({
									  type: "success", // or 'info', 'error', 'warning'
									  message: "<?php echo $mensaje; ?>",
									  timer: 4000
									})
								</script>
							   <?php
						   }	
					 else 
					  {
						   
					   $mensaje="Error al modificar el accionista";
								?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 4000
								})
							</script>
						   <?php
					  }	
			
	 }//fin guardar				 



  if(isset ($_REQUEST['nuevo']))
	   { 
	   		$id="";$identificacion="";$accionista="";$noacciones="";$valor="";$porcentaje="";
	   }


if($_REQUEST["oquitar"]==1)
  {   
	 	$c=1; $entro=0;  $canti=$_REQUEST['cantir'];
		while($c<=$canti)
		{  
			if(isset($_REQUEST['ch'.$c])) {$val=1; }  else {$val=0;} 
			$id=$_REQUEST['id'.$c];
			if($val==1)
			  { 
				$sql_insert=mysqli_query($conexion,"delete from  empresa_composicion where id='".$id."'"); 
				$entro=1;
			  }
			$c=$c+1;
		}//fin cliclo	  
		
		if($entro==1)
		 {  $cr=1;
			
		 }
  }//fin guardar


}


?>
<form name="parametros" method="post" action="" >
<center>
  <div class="panel panel-primary" style="width:99%" >
       <div align="center">
            <input name="id" type="hidden"   id="id" value="<?php echo $id; ?>">	  
				  <table class="table" border='1'  >
                     <tr> 
                      <td colspan="8"><div align="center"> 
                          <input name="nuevo" type="submit"  id="nuevo"  value="Nuevo" class="btn btn-primary" />
                          <input name="guardar" type="button"  id="guardar"  value="Guardar" onclick="return pregunta_guardar();" class="btn btn-primary" style="width: 100px"/>
                          <input name="modificar2" type="button"  id="modificar2"  value="Modificar" 	onclick="return pregunta_modificar();" class="btn btn-primary" style="width:100px" />
                          <input name="actualizar" type="submit"  id="actualizar"  value="Actualizar" class="btn btn-primary" />
						  <input name="oguardar" type="hidden" id="oguardar">
                          <input name="oquitar" type="hidden" id="oquitar">
                          <input name="omodificar" type="hidden" id="omodificar">
                          <input name="oculto" type="hidden" id="oculto">
                        </div></td>
                    </tr>
                    
                    <tr> 
                      <td width="10%" align="center" class="btn-primary" ><div class="texto_campos">IDENTIFICACION</div></td>
                      <td width="50%" align="center" class="btn-primary"><div class="texto_campos">ACCIONISTA</div></td>
                      <td width="10%" align="center" class="btn-primary"><div  class="texto_campos">#ACCIONES</div></td>
                      <td width="20%" align="center" class="btn-primary"><span class="texto_campos">VALOR</span></td>
                      <td width="10%" align="center" class="btn-primary"><span class="texto_campos">PORCENTAJE</span></td>
                    </tr>
                    <tr> 
                      <td  align="center"><div  class="texto_campos">
                        <input name="identificacion" type="text"   id="identificacion" value="<?php echo $identificacion; ?>" 								 
								class="form-control"  style="width: 95%;" />
                      </div></td>
                      <td  align="center">
						  <input name="accionista" type="text"   id="accionista" value="<?php echo $accionista; ?>" 								 
								class="form-control"  style="width: 95%;">
						</td>
                      <td align="center">
					  	<input name="noacciones" type="text"   id="noacciones" value="<?php echo $noacciones; ?>" 								 
								class="form-control"  style="width: 95%;" onkeypress='mascara(this,cpf)'>	  
					  </td>
                     
                      <td align="center"><input name="valor" type="text"   id="valor" value="<?php echo $valor; ?>" 								 
								class="form-control"  style="width: 95%; " onkeypress='mascara(this,cpf)'></td>
                      <td align="center"><input name="porcentaje" type="number"   id="porcentaje" value="<?php echo $porcentaje; ?>" 								 
								class="form-control"  style="width: 95%; " ></td>                     
                    </tr>
                   
                    
                    <?php
					
							include "../conexion.php";
							$c=1;
							$sql_datos=mysqli_query($conexion,"select id,accionista,identificacion,noacciones,valor,porcentaje
																FROM empresa_composicion
																where empresa='".$empresa."'
																order by id asc");
							while($datoslog= mysqli_fetch_row($sql_datos))//01
							{
								$id=$datoslog[0];
								$accionista=$datoslog[1];
								$identificacion=$datoslog[2];
								//$noacciones=$datoslog[3];
								//$valor=$datoslog[4];
								$porcentaje=$datoslog[5];								
								$valor=number_format($datoslog[4],2,'.',','); 
								$noacciones=number_format($datoslog[3],2,'.',','); 

								echo "<tr>
										<td align='center'>
										<input name='id$c' type='hidden' id='id$c'  value='$id'>
										<input type='checkbox' name='ch$c'>
										<input name='borra' type='submit' id='borra' value='-' onClick='oquitar.value=1;' class='btn btn-primary' >
										<br><a href='empresa_composicion.php?empresa=$empresa&id=$id'>$identificacion</a>
									</td>
										<td align='center'>$accionista</td>
										<td align='center'>$noacciones</td>
										<td align='center'>$valor</td>
										<td align='center'>$porcentaje</td>
									</tr>";
								$c++;	
							}
							
							$canti=$c-1;
							echo "<input type='hidden' name='cantir' value='$canti' readonly size='10'>";	
							mysqli_close($conexion);
 
					?>
                    
                    
                  </table>
                
</div>
</div>	
</center>

<SCRIPT type=text/javascript>


function pregunta_guardar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {
			document.parametros.oguardar.value=0;			
			return false;
			}
		else
		  { document.parametros.oguardar.value=1; 
			document.parametros.submit();		
		    return true;
		  
		  	}
	   } 
	  else {
			document.parametros.oguardar.value=0;
			return false; 
	  }
	})
}




function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Modificar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		  retorno_valida=valida_campos();
		if(retorno_valida==false)
		   {document.parametros.omodificar.value=0; 	
			return false;
			}
		else
		  { document.parametros.omodificar.value=1; 
			document.parametros.submit();			
		    return true;
	    	}
	   } 
	  else {
			document.parametros.omodificar.value=0;
			return false; 
	  }
	})
}

function valida_campos()
{  
	var mensaje='';
		 if(document.parametros.identificacion.value!=''){}
		 else {mensaje=mensaje + 'Identificacion,';    }
		 if(document.parametros.accionista.value!=''){}
		 else {mensaje=mensaje + 'Accionista,';    }
		if(document.parametros.identificacion.value!='' && document.parametros.accionista.value!=''){return true;}
		else {
			cuteAlert({
						  type: "error",
						  title: "JACOME",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
			  return false;
			 }

}

</script>




<script src="../plugins1/jquery/jquery.min.js"></script>
<script src="../plugins1/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins1/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins1/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins1/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins1/jszip/jszip.min.js"></script>
<script src="../plugins1/pdfmake/pdfmake.min.js"></script>
<script src="../plugins1/pdfmake/vfs_fonts.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["excel", "pdf", "print", "colvis"],
	  "order": [ 0, 'asc' ]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
   
  });
</script>


</form>
</body>
</html>
